summaryrefslogtreecommitdiffstats
path: root/test/TEST-56-EXIT-TYPE/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-56-EXIT-TYPE/test.sh')
-rwxr-xr-xtest/TEST-56-EXIT-TYPE/test.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/TEST-56-EXIT-TYPE/test.sh b/test/TEST-56-EXIT-TYPE/test.sh
new file mode 100755
index 0000000..37475e8
--- /dev/null
+++ b/test/TEST-56-EXIT-TYPE/test.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+set -e
+
+TEST_DESCRIPTION="test ExitType=cgroup"
+
+# shellcheck source=test/test-functions
+. "${TEST_BASE_DIR:?}/test-functions"
+
+if [[ "$(get_cgroup_hierarchy)" != unified ]]; then
+ echo "This test requires unified cgroup hierarchy, skipping..."
+ exit 0
+fi
+
+do_test "$@"